Bug 56742 - .spec file copies broken old /etc/pcmcia/config over correct version
Summary: .spec file copies broken old /etc/pcmcia/config over correct version
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-26 18:49 UTC by Adam Spiers
Modified: 2015-01-04 22:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 08:15:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Spiers 2001-11-26 18:49:36 UTC
Presumably someone has or had a good reason for writing
this line in the .spec file in kernel-pcmcia-cs-3.1.27-10.src.rpm:

  install -m755 %{SOURCE3} $RPM_BUILD_ROOT/etc/pcmcia/config
but the Source3 in question is broken -- it's missing a `bind'
directive for the very last card in the file (Xircom RBM56G Modem).
This causes a very misleading error to appear in /var/log/messages
when the pcmcia services start up:

cardmgr[7337]: config error, file './config.opts' line 8: no function bindings
There is a large number of differences between the Source3 config
(revision 1.154) and the official pcmcia config (revision 1.170).
ICBW, but isn't it very risky having such a mismatch in age between
a config file and the code which uses it?  I notice that this 
'copy over' approach is also being taken for /etc/pcmcia/isdn and 
/etc/pcmcia/network.


Note You need to log in before you can comment on or make changes to this bug.